BANK KALTENG - Feature #3633

Validasi [ESS PMS]
05/23/2025 03:06 PM - haykal haykal

Status: QA Test Start date: 05/23/2025
Priority: Urgent Due date: 05/28/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 14.00 hours
Description

Sesuai request, semua yg terkait validasi gua gabung disini ya.
Validasi yang perlu dikerjakan saat ini:
-Validasi button Add di Appraiser

Pada bagian Appraiser di form ESS Goal Setting ingin agar button Add nya hanya bisa diklik satu kali. Jadi tolong dibikin logic
validasi untuk itu ya.

Terimakasih.

port: http://remote.minovais.com:61133/
db: MinovaES_BankKalteng_BaseServerProd (di 1452)

History

#1 - 05/23/2025 03:58 PM - Kezia Pawitra Yulianti
- Due date set to 05/28/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

mungkin bukan cm bisa d klik 1 kali nya yg penting, tp kalau dr business proces nya krn hanya ada 1 atasan, maka appraise tidak boleh lebih dari 1.
itu mgkn yg tepat mksd validasinya.
jadi kalau sudah ada appraiser 1, sbaiknya pada saat klik add lagi muncul message bahwa hanya bisa 1 appraiser saja.

Coba d atur aja message yg bagus dan sesuai apa?
Tks

#2 - 05/26/2025 05:00 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to haykal haykal

validasi ini udah di buat ya coba di test

package :
bizproc(init dan method)

makasih

#3 - 05/27/2025 10:49 AM - haykal haykal
- Assignee changed from haykal haykal to M Azid Wahyudi

Udh jalan validasinya. Kalo mau ngubah messagenya dimana?

#4 - 05/27/2025 11:08 AM - haykal haykal

- Status changed from QA Test to Revise

Sama setelah appraisernya dipilih, trus button add nya diklik lagi; appraisernya jadi ilang.
Tolong diperbaiki ya.

Terimakasih.

#5 - 05/27/2025 02:16 PM - haykal haykal
Dear Azid, ada revisi ya.

Jadinya boleh untk Add Appraiser maksimal 2.
Jadi tolong agar validasi yg ada saat ini di-takeout. Dan diganti validasinya menjadi maksimal 2.
Terimakasih.

#6 - 06/18/2025 04:41 PM - haykal haykal

- File KPI Score kosong.png added

Dear Azid,

Tadi saya test di Performance Review

Di form Atasan. Atasan 'kan seharusnya melakukan penilaian KPI di field KPI Score. Tapi tadi saya test di salah satu KPI, KPI Scorenya kosong
(tidak diisi) [Foto diattach] namun masih bisa tersubmit.

Ingin dibuat validasi agar apabila ada KPI Score yg kosong (tidak terisi) makan formnya tidak bisa disubmit.
(Note: Validasi ini tolong dibuat di Review dan Final)

Terimakasih.

#7 - 06/19/2025 09:30 AM - haykal haykal

- File KPI Self Score ada yang kosong.png added

Jid,

Tadi saya test di Performance Review.

Untk yg di form requester juga. Tadi saya coba KPI Self Scorenya ada yang kosong (foto diattach), tapi masih bisa tersubmit.
Tolong dibuat validasi agar apabila ada KPI Self Score yg kosong maka formnya tidak bisa terSubmit.
(Note: Validasi ini tolong dibuat di Review dan Final)

Terimakasih.

#8 - 06/19/2025 01:32 PM - haykal haykal

- File Data yang tidak sesuai dengan Appraisal Period tolong dibikin Validasi.png added

Dear Azid,

Tolong dibuat validasi ya untk yg case karyawan mutasi. [Di Performance Goal Setting]

Jadi 'kan secara skenario user mengeklik salah satu data di History Assignment lalu klik button Select dan nanti Period From dan Period To otomatis
terisi.

Saat ini sudah benar berjalan seperti itu.

Namun tolong dibuat validasi apabila user mengeklik data di History Assignment yang tidak relevan dengan Appraisal Period yg telah dipilih itu tidak
bisa terload Period From dan Period To nya. (Validasinya dibuat ketika user klik button Select)

Yang saya maksud tidak relevan itu contohnya seperti di foto yang saya attach ini. User sudah memilih Appraisal Period 01 Jan - 31 Des 2025 , maka
seharusnya data History Assignment yg paling atas (yg StartDate dan EndDate nya tidak ada kaitannya dengan 2025) tidak bisa dipilih (dibikin
validasi disitu). Namun untk data di row ke-2 dan ke-3 itu bisa dipilih karena masih relevan (sesuai dengan Appraisal Period 2025)

Tolong dibuat seperti itu ya.

Terimakasih.

#9 - 06/19/2025 02:59 PM - M Azid Wahyudi
- File clipboard-202506191457-rzgdk.png added
dear haykal , gw ngerjain dari validasi goal setting nanti setiap pengerjaan kalau udah selesai gw update2 package dulu kalau udah selesai semua

baru gw balikin

: Validasi [ESS Pl X Bug #2672: Ingin KPI S¢ X Mineva ES | Performance Geal ¢ X Mingva ES | W X Grid Refresh Ko

\ Notsecure  http://remote.minovais.com:61 e/WorkFlow?/EYGO2CEAGfS+kUpJD+eqlgz0lpxqgBCN Y

@ assignment artinya - Penelusu

W) Verify it's you

MyWorkplace ~MasterData  Human Resource  Business Intelligence  System Administration Search.

Error

(5 History Assingment yang anda pilin tidak relevan

package :

bizproc (method)
custparam(PMSGetFrToPeriodPA2)

messagecatalog (PMSVALGSO01) //untuk rubah kata2

makasih

#10 - 06/19/2025 03:57 PM - M Azid Wahyudi
- File clipboard-202506191556-4ldqgk.png added

dear haykal , udah bisa di test

/A Notsecure  hitp://remote.minovais.com:6 age/WorkFloy S +kUpJD +eqlgz0ipxgBCNOf

Q

Heip > M Azid Wahyudi ~

W) Verify it's you

MyWorkplace ~MasterData  Human Resource  BusinessIntelligence  System Administration

Error

() ‘Som. only 1 eniry i alloned

package :

bizproc(method)
messagecatalog(PMSVALGS02) // jika ingin ubah kata2

makasih

#11 - 06/20/2025 10:21 AM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test validasi untuk review dan final kpi self dan kpi score jika kosong

package :
bizproc(beforesubmit)

makasih

#12 - 06/20/2025 05:30 PM - haykal haykal

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to M Azid Wahyudi

Jid, untk di Review dan Final tolong dibikin validasi Appraisernya wajib 2 ya (tidak boleh kurang dari 2, tidak boleh lebih dari 2). Di form requester
Terimakasih.

#13 - 06/23/2025 09:50 AM - haykal haykal

- File Row di History Pengajuan yg tidak relevan tolong dibikin validasi.png added

Dear Azid,

Tlg buat validasi tidak bisa mengcopy apabila user memilih data di History Pengajuan yg tidak relevan dengan Appraisal Period yang telah dipilih.

Contoh misalkan Appraisal Period telah dipilih 2025. Maka 2 data di History Pengajuan yg telah saya tandai di foto yang saya attach ini tidak bisa
dipilih karena itu datanya adalah data pengajuan 2024.

Intinya apabila user telah memilih Appraisal Period 2025, maka data yg bisa dicopy di History Pengajuan hanyalah yg January-December 2025 saja.
Terimakasih.

#14 - 06/23/2025 09:51 AM - haykal haykal

Dear Azid,

Di Goal Setting

Tolong dibikin validasi agar tidak bisa Submit apabila Appraisernya kosong.

Terimakasih.

#15 - 06/23/2025 11:14 AM - haykal haykal

Utk yg #7 (KPI Self Score di requester) udh ok
Tapi yg #6 (KPI Score di atasan) bim

Contoh: ReqID 1384119

#16 - 06/23/2025 04:02 PM - haykal haykal

Validasi History Pengajuan:

Misal Appraisal Period telah dipilih 2025.

A. Maka data di History Pengajuan yg bukan 2025 dikasih validasi (seperti yg sudah note di #13)
SMESSAGECATALOG A: Tidak bisa memilih History Pengajuan ini karena tidak sesuai dengan Appraisal Period

B. Dan apabila di History Pengajuan ada data yang selain January-December 2025 (misal January-April 2025)
Maka apabila user memilih data yg January April dikasih validasi

SMESSAGECATALOG B: Tidak bisa mengcopy data ini
#17 - 06/23/2025 06:14 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test

package :

untk di Review dan Final tolong dibikin validasi Appraisernya waijib 2 ya (tidak boleh kurang dari 2, tidak boleh lebih dari 2). Di form requester
bizproc (beforesubmit dan method)

message (PMSVALRF02 & PMSVALRF03)

Tlg buat validasi tidak bisa mengcopy apabila user memilih data di History Pengajuan yg tidak relevan dengan Appraisal Period yang telah dipilih.
bizproc(method)

custparam(PMSCOPYGOALVAL)

messagecatalog(VALCOPYGOALO02 & VALCOPYGOALO1)

Tolong dibikin validasi agar tidak bisa Submit apabila Appraisernya kosong.

bizproc(beforesubmit)

messagecatalog (PMS001)

Tapi yg #6 (KPI Score di atasan) bim
custparam(PMSGetKPIFromGS)

Validasi History Pengajuan:

bizproc(method)

custparam(PMSCOPYGOALVAL)
messagecatalog(VALCOPYGOALO02 & VALCOPYGOALO1)
makasih

#18 - 06/23/2025 06:15 PM - M Azid Wahyudi

note : update dan new custparam
WFGOALRFVALPERIODTO

WFGOALVALPERIODTO

karena error di sini jadi kemana2

#19 - 06/24/2025 03:05 PM - haykal haykal

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to M Azid Wahyudi
Untk validasi-validasi diatas saya cek sudah ok.

Namun ingin ada satu tambahan validasi lagi.

Jadi misalkan sudah ada data Goal Setting January-April 2025. Maka ketika dia ingin mengajukan untk periode mutasi ke-2 (May-December)
inginnya data Assignment yg January-April 2025 di History Assignment dibuat validasi agar tidak bisa dilakukan Select.

Validasi ini dibuat apabila data January-April 2025 nya masih ongoing di ESS ataupun sudah masuk ke master data HR.
Terimakasih.

Contoh EmployeelD: 00000047

#20 - 06/24/2025 03:34 PM - haykal haykal
- File Validasi tidak bisa dipilih karena sudah ada data January-April.pong added

Contoh: EmployeelD 00000047 ingin melakukan pengajuan Goal Setting yg ke-2 (May-December). Maka tolong untk pilihan yg saya tandai di History
Assignment ini (foto diattach) dibuat validasi agar tidak bisa dipilih karena sudah terdapat data Goal Setting untk January-April.

#21 - 06/25/2025 10:19 AM - haykal haykal
- File SubTotal NaN tlg dibikin validasi.png added

Dear Azid,

Apabila ada SubTotal yg NaN (seperti di foto yang saya attach) tlg dibikin validasi agar tidak bisa Submit.

07/02/2025 5/7


http://remote.minovais.com:3000/redmine/issues/6

(Di Performance Review & Final)
Terimakasih.

#22 - 06/25/2025 02:45 PM - haykal haykal
Dear Azid, untk validasi:

-Table Competency (Perilaku Kerja) harus terisi semua
-KPI Score tidak boleh ada yang kosong

Tolong di-takeout ya apabila dia revise

Terimakasih.

#23 - 06/25/2025 04:08 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal,, udah bisa di test ya

note : tinggal validasi on going ess untuk validasi yang ini EmployeelD 00000047 ingin melakukan pengajuan Goal Setting yg ke-2 (May-December).
package :

EmployeelD 00000047 ingin melakukan pengajuan Goal Setting yg ke-2 (May-December).

bizproc(method)

custparam(PMSGetFrToPeriodPA2)

Apabila ada SubTotal yg NaN (seperti di foto yang saya attach) tlg dibikin validasi agar tidak bisa Submit.
bizproc(beforesubmit)

Tolong di-takeout ya apabila dia revise
bizproc(beforesubmit)

makasih
#24 - 06/26/2025 10:27 AM - haykal haykal

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi
#25 - 06/26/2025 03:50 PM - haykal haykal

Jid di Final, DS1 mengapprove tapi lolos-lolos aja.

Padahal yg Perilaku Kerja (PHRPA0051ESS) bim dilakukan penilaian (masih kosong semua nilainya)
Tolong dicek ya untk validasi itu.

ReqID: 1384126

DS1: 00000288

Terimakasih.

#26 - 06/26/2025 04:46 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test

package :
bizporc(beforesubmit)

makasih

Files

KPI Score kosong.png 23.3 KB 06/18/2025 haykal haykal
KPI Self Score ada yang kosong.png 3.4 KB 06/19/2025 haykal haykal
Data yang tidak sesuai dengan Appraisal Period tolong dibikin Validasiddhg KB
clipboard-202506191457-rzgdk.png 162 KB
clipboard-202506191556-4ldgk.png 108 KB
Row di History Pengajuan yg tidak relevan tolong dibikin validasi.ong 14.3 KB
Validasi tidak bisa dipilih karena sudah ada data January-April.png  16.2 KB
SubTotal NaN tlg dibikin validasi.png 9.74 KB
